Bug 466341 - RT kernel fails to boot on Intel Canelands processors (16 and 24 cores)
RT kernel fails to boot on Intel Canelands processors (16 and 24 cores)
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
1.0
x86_64 Linux
high Severity medium
: 1.1
: ---
Assigned To: Steven Rostedt
:
: 443902 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-09 15:47 EDT by Clark Williams
Modified: 2009-01-22 05:44 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-22 05:44:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 4 David Sommerseth 2008-11-20 05:52:04 EST
Tested on nec-em8.rhts.bos.redhat.com with 16GB RAM and 16 CPUs (4x4)

Booting stock RHEL5.2 kernel (2.6.18-92.el5) works, but no bootmem setup memory mapping displayed.

Booting mrg-rt 2.6.24.7-81.el5rt fails, as it hangs after udev init.

Booting mrg-rt 2.6.24.7-93.el5rt boots with this memory map:

Bootmem setup node 0 0000000000000000-0000000430000000
 [ffffe20000000000-ffffe200001fffff] PMD ->ffff810001200000 on node 0
 [ffffe20000200000-ffffe200003fffff] PMD ->ffff810001400000 on node 0
 [ffffe20000400000-ffffe200005fffff] PMD ->ffff810001600000 on node 0
 [ffffe20000600000-ffffe200007fffff] PMD ->ffff810001800000 on node 0
 [ffffe20000800000-ffffe200009fffff] PMD ->ffff810001a00000 on node 0
 [ffffe20000a00000-ffffe20000bfffff] PMD ->ffff810001c00000 on node 0
 [ffffe20000c00000-ffffe20000dfffff] PMD ->ffff810001e00000 on node 0
 [ffffe20000e00000-ffffe20000ffffff] PMD ->ffff810002000000 on node 0
 [ffffe20001000000-ffffe200011fffff] PMD ->ffff810002200000 on node 0
 [ffffe20001200000-ffffe200013fffff] PMD ->ffff810002400000 on node 0
 [ffffe20001400000-ffffe200015fffff] PMD ->ffff810002600000 on node 0
 [ffffe20001600000-ffffe200017fffff] PMD ->ffff810002800000 on node 0
 [ffffe20001800000-ffffe200019fffff] PMD ->ffff810002a00000 on node 0
 [ffffe20001a00000-ffffe20001bfffff] PMD ->ffff810002c00000 on node 0
 [ffffe20001c00000-ffffe20001dfffff] PMD ->ffff810002e00000 on node 0
 [ffffe20001e00000-ffffe20001ffffff] PMD ->ffff810003000000 on node 0
 [ffffe20002000000-ffffe200021fffff] PMD ->ffff810003200000 on node 0
 [ffffe20002200000-ffffe200023fffff] PMD ->ffff810003400000 on node 0
 [ffffe20002400000-ffffe200025fffff] PMD ->ffff810003600000 on node 0
 [ffffe20002600000-ffffe200027fffff] PMD ->ffff810003800000 on node 0
 [ffffe20002800000-ffffe200029fffff] PMD ->ffff810003a00000 on node 0
 [ffffe20002a00000-ffffe20002bfffff] PMD ->ffff810003c00000 on node 0
 [ffffe20002c00000-ffffe20002dfffff] PMD ->ffff810003e00000 on node 0
 [ffffe20002e00000-ffffe20002ffffff] PMD ->ffff810004000000 on node 0
 [ffffe20003000000-ffffe200031fffff] PMD ->ffff810004200000 on node 0
 [ffffe20003200000-ffffe200033fffff] PMD ->ffff810004400000 on node 0
 [ffffe20003400000-ffffe200035fffff] PMD ->ffff810004600000 on node 0
 [ffffe20003600000-ffffe200037fffff] PMD ->ffff810004800000 on node 0

As this memory map indicates results as expected from the patch, this bug is moved to VERIFIED.
Comment 5 David Sommerseth 2008-11-20 12:45:42 EST
Just as a reference.  Managed to check this on a -81 kernel on another box ... memory map:

Bootmem setup node 0 0000000000000000-0000000430000000
 [ffffe20000000000-ffffe200001fffff] PMD ->ffff810001200000 on node 0
 [ffffe20000200000-ffffe200003fffff] PMD ->ffff810001400000 on node 0
 [ffffe20000400000-ffffe200005fffff] PMD ->ffff810001800000 on node 0
 [ffffe20000600000-ffffe200007fffff] PMD ->ffff810001c00000 on node 0
 [ffffe20000800000-ffffe200009fffff] PMD ->ffff810001e00000 on node 0
 [ffffe20000a00000-ffffe20000bfffff] PMD ->ffff810002200000 on node 0
 [ffffe20000c00000-ffffe20000dfffff] PMD ->ffff810002600000 on node 0
 [ffffe20000e00000-ffffe20000ffffff] PMD ->ffff810002800000 on node 0
 [ffffe20001000000-ffffe200011fffff] PMD ->ffff810002c00000 on node 0
 [ffffe20001200000-ffffe200013fffff] PMD ->ffff810003000000 on node 0
 [ffffe20001400000-ffffe200015fffff] PMD ->ffff810003200000 on node 0
 [ffffe20001600000-ffffe200017fffff] PMD ->ffff810003600000 on node 0
 [ffffe20001800000-ffffe200019fffff] PMD ->ffff810003a00000 on node 0
 [ffffe20001a00000-ffffe20001bfffff] PMD ->ffff810003c00000 on node 0
 [ffffe20001c00000-ffffe20001dfffff] PMD ->ffff810004000000 on node 0
 [ffffe20001e00000-ffffe20001ffffff] PMD ->ffff810004400000 on node 0

This has the 2MB gaps as described in patch.  Patch definitely is implemented in -93 kernel.
Comment 6 Luis Claudio R. Goncalves 2008-12-16 10:32:13 EST
*** Bug 443902 has been marked as a duplicate of this bug. ***
Comment 8 errata-xmlrpc 2009-01-22 05:44:24 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0009.html

Note You need to log in before you can comment on or make changes to this bug.